Subject: RE: bug#2536: 23.0.90;! in Dired does not shell-quote the command name and args

From: "Drew Adams" <[email-masked]>
Date: Sun, 1 Mar 2009 22:18:19 -0800

I said `shell-quote', but I meant `shell-quote-argument' or
`shell-quote-wildcard-pattern'. I'm not real clear on how to use the latter, or
whether either of them might help here. Trying them on my own didn't seem to
work. The `*' after the command/file input was taken as part of the command/file
name, provoking an error (no such file or directory).

In sum, I don't have any insight about what fix is needed, but there is
definitely a problem, at least for MS Windows, where spaces in file names are
common.

I also forgot to mention in the recipe to do this is in a Dired buffer.